Issues

Add issue watcher

POST
/issues/{id}/watchers.json

Add a watcher to an issue

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Path Parameters

id*integer
Formatint64

Request Body

application/json
  1. body
user_id*integer

ID of the user to add as watcher

Formatint64

Response Body

Success without content. Redmine < 4.1 responds with 200 instead of 204.

curl -X POST 'https://redmine.example.com/issues/0/watchers.json' \  -H 'Content-Type: application/json' \  -d '{  "user_id": 0}'
Empty